Accepted python-support 0.5.2 (source)

Ubuntu Installer archive at ubuntu.com
Tue Oct 3 11:20:07 BST 2006


Accepted:
 OK: python-support_0.5.2.tar.gz
 OK: python-support_0.5.2.dsc
     -> Component: main Section: python

Origin: Debian/unstable
Format: 1.7
Date: Tue,  03 Oct 2006 10:58:55 +0100
Source: python-support
Binary: python-support
Architecture: source
Version: 0.5.2
Distribution: edgy
Urgency: medium
Maintainer: Josselin Mouette <joss at debian.org>
Changed-By: Sebastian Dr?ge <slomo at circular-chaos.org>
Description: 
 python-support - automated rebuilding support for python modules
Closes: 378853 382755 383799 383958 385105 386830 387040 388171
Changes: 
 python-support (0.5.2) unstable; urgency=low
 .
   * update-python-modules:
     + Remove some useless code.
     + Small fix in short help.
     + Handle the case of broken symlinks needing to be overwritten.
   * dh_pysupport.1: reference README and policy, thanks Tomas Pospisek 
     (closes: #388171).
 .
 python-support (0.5.1) unstable; urgency=low
 .
   * dh_pysupport:
     + Generate ${python:Provides} when no debian/pyversions file exists.
     + Barf when /usr/lib/python-support/$package is lacking an existing
       python version (closes: #387040).
 .
 python-support (0.5) unstable; urgency=low
 .
   * update-python-modules: be much stricter in what is accepted on the 
     command line. Only .dirs files are accepted with the -i option, 
     while directories in /usr/share/python-support are accepted with the 
     -b option. It is now possible to pass both kinds of arguments on the 
     command line. Closes: #386830.
   * update-python-modules: abandon compatibility with version 0.1 
     entirely. The warnings have been prominent enough.
 .
 python-support (0.4.3) unstable; urgency=medium
 .
   * update-python-modules: check for .path presence when checking for
     newly installed python versions, otherwise stuff might not be
     compiled for it (closes: #383799, medium-urgency fix).
   * update-python-modules: handle symbolic links to directories
     (closes: #378853).
 .
 python-support (0.4.2) unstable; urgency=low
 .
   * dh_pysupport: add a python dependency even when there is already a
     dependency on python-support (closes: #383958).
   * pysupport.py: strip all unnecessary whitespace (closes: #385105).
   * pysupport-movemodules: force the umask to avoid getting wrong 
     permissions in the final package (closes: #382755).
Files: 
 6a570a84dacbca9ad035436a3479556a 26128 python optional python-support_0.5.2.tar.gz
 9f7888c825955658afa93b2be0516d85 557 python optional python-support_0.5.2.dsc





More information about the edgy-changes mailing list